function B_runMSE(indID, indCond, variant)

%% set up paths

if ismac
    pn.root = '/Users/kosciessa/Desktop/mntTardis/STSWD_Rest/WIP_eeg/';
    pn.tools    = [pn.root, 'A_MSE_CSD_multiVariant/T_tools/'];
    addpath([pn.tools, 'mMSE/']);
    addpath([pn.tools, 'fieldtrip-20170904/']);
    ft_defaults
else
    pn.root = '/home/mpib/kosciessa/STSWD_Rest/WIP_eeg/';
    pn.tools    = [pn.root, 'A_MSE_CSD_multiVariant/T_tools/'];
end
pn.dataIn   = [pn.root, 'A_MSE_CSD_multiVariant/B_data/B_MSE_Segmented_Dim_Input/'];
pn.dataOut  = [pn.root, 'A_MSE_CSD_multiVariant/B_data/C_MSE_Output_v1/']; mkdir(pn.dataOut);

%% select data

cfg.ID = indID;
cfg.cond = indCond;
cfg.variant = variant;

load([pn.dataIn, sprintf('%s_%s_MSE_IN.mat', cfg.ID, cfg.cond)])

%% setup mMSE
% artificial trials have been created from -1.5 to 1.5

cfg.toi                 = 0; % across extended periods
cfg.timwin              = 2.9;
cfg.timescales          = [1:42]; % scale list
cfg.m                   = 2; % pattern length
cfg.r                   = 0.5; % similarity criterion
if strcmp(variant, 'hp')
    cfg.coarsegrainmethod = 'filtskip';
    cfg.filtmethod = 'hp';
    cfg.recompute_r  = 'perscale_toi_sp';
elseif strcmp(variant, 'bp')
    cfg.coarsegrainmethod = 'filtskip';
    cfg.filtmethod = 'bp';
    cfg.recompute_r  = 'perscale_toi_sp';
elseif strcmp(variant, 'filtskip')
    cfg.coarsegrainmethod = 'filtskip';
    cfg.filtmethod = 'lp';
    cfg.recompute_r  = 'perscale_toi_sp';
elseif strcmp(variant, 'pointavg')
    cfg.coarsegrainmethod = 'pointavg';
    cfg.filtmethod = 'no';
    cfg.recompute_r  = 'perscale_toi_sp';
elseif strcmp(variant, 'vanilla')
    cfg.coarsegrainmethod = 'pointavg';
    cfg.filtmethod = 'no';
    cfg.recompute_r  = 'per_toi';
end

mse = ft_entropyanalysis(cfg, data);

%% save output

save([pn.dataOut, sprintf('%s_%s_MSE_OUT_%s.mat', cfg.ID, cfg.cond, cfg.variant)], 'mse', 'cfg')

end
