%% Plot difference between methods

pn.dataPath = '/Volumes/LNDG/Projects/StateSwitch/dynamic/data/eeg/rest/B_analyses/A_MSE_CSD_multiVariant/B_data/C_MSE_Output_v1/';

IDs_YA = {'1117';'1118';'1120';'1124';'1126';'1131';'1132';'1135';'1136';'1138';...
    '1144';'1151';'1158';'1160';'1163';'1164';'1167';'1169';'1172';'1173';...
    '1178';'1182';'1215';'1216';'1219';'1221';'1223';'1227';'1228';...
    '1233';'1234';'1237';'1239';'1240';'1243';'1245';'1247';'1250';'1252';...
    '1257';'1261';'1265';'1266';'1268';'1270';'1276';'1281'};

    
IDs_OA = {'2104';'2107';'2108';'2112';'2118';'2120';'2121';'2123';'2125';'2129';...
    '2130';'2131';'2132';'2133';'2134';'2135';'2139';'2140';'2145';'2147';...
    '2149';'2157';'2160';'2202';'2203';'2205';'2206';'2209';'2210';...
    '2211';'2213';'2214';'2215';'2216';'2217';'2219';'2222';'2224';'2226';...
    '2227';'2236';'2237';'2238';'2241';'2244';'2246';'2248';'2250';'2251';...
    '2252';'2258';'2261'};

conds = {'EC'; 'EO'};

for indID = 1:numel(IDs_YA)
    for indCond = 1:2
        try
        curID = IDs_YA{indID};
        % vanilla
        load([pn.dataPath, curID, '_',conds{indCond},'_MSE_OUT_vanilla.mat']);
        mseMerged_YA.MSEVanilla(indID,indCond,:,:) = mse.sampen;
        mseMerged_YA.Rlog10Vanilla(indID,indCond,:,:) = log10(squeeze(mse.r))';
        % pointavg
        load([pn.dataPath, curID, '_',conds{indCond},'_MSE_OUT_pointavg.mat']);
        mseMerged_YA.MSEPointavg(indID,indCond,:,:) = mse.sampen;
        mseMerged_YA.Rlog10Pointavg(indID,indCond,:,:) = log10(squeeze(mse.r))';
        % filtskip (LP)
        load([pn.dataPath, curID, '_',conds{indCond},'_MSE_OUT_filtskip.mat']);
        mseMerged_YA.MSEfiltskip(indID,indCond,:,:) = mse.sampen;
        mseMerged_YA.Rlog10filtskip(indID,indCond,:,:) = log10(squeeze(nanmean(mse.r,3)))';
        % filtskip (HP)
        load([pn.dataPath, curID, '_',conds{indCond},'_MSE_OUT_hp.mat']);
        mseMerged_YA.MSEhp(indID,indCond,:,:) = mse.sampen;
        mseMerged_YA.Rlog10hp(indID,indCond,:,:) = log10(squeeze(nanmean(mse.r,3)))';
        % filtskip (BP)
        load([pn.dataPath, curID, '_',conds{indCond},'_MSE_OUT_bp.mat']);
        mseMerged_YA.MSEbp(indID,indCond,:,:) = mse.sampen;
        mseMerged_YA.Rlog10bp(indID,indCond,:,:) = log10(squeeze(nanmean(mse.r,3)))';
        % add info
        mseMerged_YA.dimord = 'subj_cond_freq_time';
        mseMerged_YA.label = mse.label;
        mseMerged_YA.timescales = mse.timescales;
        mseMerged_YA.freq = (1./[1:41])*250;
        mseMerged_YA.time = mse.time;
        catch
            disp([curID, ' ',conds{indCond}, ' skipped']);
            continue
        end
    end
end

for indID = 1:numel(IDs_OA)
    for indCond = 1:2
        try
        curID = IDs_OA{indID};
        % vanilla
        load([pn.dataPath, curID, '_',conds{indCond},'_MSE_OUT_vanilla.mat']);
        mseMerged_OA.MSEVanilla(indID,indCond,:,:) = mse.sampen;
        mseMerged_OA.Rlog10Vanilla(indID,indCond,:,:) = log10(squeeze(mse.r))';
        % pointavg
        load([pn.dataPath, curID, '_',conds{indCond},'_MSE_OUT_pointavg.mat']);
        mseMerged_OA.MSEPointavg(indID,indCond,:,:) = mse.sampen;
        mseMerged_OA.Rlog10Pointavg(indID,indCond,:,:) = log10(squeeze(mse.r))';
        % filtskip (LP)
        load([pn.dataPath, curID, '_',conds{indCond},'_MSE_OUT_filtskip.mat']);
        mseMerged_OA.MSEfiltskip(indID,indCond,:,:) = mse.sampen;
        mseMerged_OA.Rlog10filtskip(indID,indCond,:,:) = log10(squeeze(nanmean(mse.r,3)))';
        % filtskip (HP)
        load([pn.dataPath, curID, '_',conds{indCond},'_MSE_OUT_hp.mat']);
        mseMerged_OA.MSEhp(indID,indCond,:,:) = mse.sampen;
        mseMerged_OA.Rlog10hp(indID,indCond,:,:) = log10(squeeze(nanmean(mse.r,3)))';
        % filtskip (BP)
        load([pn.dataPath, curID, '_',conds{indCond},'_MSE_OUT_bp.mat']);
        mseMerged_OA.MSEbp(indID,indCond,:,:) = mse.sampen;
        mseMerged_OA.Rlog10bp(indID,indCond,:,:) = log10(squeeze(nanmean(mse.r,3)))';
        % add info
        mseMerged_OA.dimord = 'subj_cond_freq_time';
        mseMerged_OA.label = mse.label;
        mseMerged_OA.timescales = mse.timescales;
        mseMerged_OA.freq = (1./[1:41])*250;
        mseMerged_OA.time = mse.time;
        catch
            disp([curID, ' ',conds{indCond}, ' skipped']);
            continue
        end
    end
end

save('/Volumes/LNDG/Projects/StateSwitch/dynamic/data/eeg/rest/B_analyses/A_MSE_CSD_multiVariant/B_data/E_mseMerged.mat', ...
    'mseMerged_YA','mseMerged_OA', 'IDs_YA', 'IDs_OA');

indCond = 1;

figure;
subplot(5,2,1); imagesc(squeeze(nanmean(mseMerged_YA.MSEVanilla(:,indCond,:,:),1))); title('Vanilla');
subplot(5,2,2); imagesc(squeeze(nanmean(mseMerged_YA.Rlog10Vanilla(:,indCond,:,:),1))); title('log10(R)')

subplot(5,2,3); imagesc(squeeze(nanmean(mseMerged_YA.MSEPointavg(:,indCond,:,:),1))); title('Pointavg');
subplot(5,2,4); imagesc(squeeze(nanmean(mseMerged_YA.Rlog10Pointavg(:,indCond,:,:),1))); title('log10(R)')

subplot(5,2,5); imagesc(squeeze(nanmean(mseMerged_YA.MSEfiltskip(:,indCond,:,:),1))); title('Filtskip: LP');
subplot(5,2,6); imagesc(squeeze(nanmean(mseMerged_YA.Rlog10filtskip(:,indCond,:,:),1))); title('log10(R)')

subplot(5,2,7); imagesc(squeeze(nanmean(mseMerged_YA.MSEhp(:,indCond,:,:),1))); title('Filtskip: HP');
subplot(5,2,8); imagesc(squeeze(nanmean(mseMerged_YA.Rlog10hp(:,indCond,:,:),1))); title('log10(R)')

subplot(5,2,9); imagesc(squeeze(nanmean(mseMerged_YA.MSEbp(:,indCond,:,:),1))); title('Filtskip: BP');
subplot(5,2,10); imagesc(squeeze(nanmean(mseMerged_YA.Rlog10bp(:,indCond,:,:),1))); title('log10(R)')

figure;
subplot(5,2,1); imagesc(squeeze(nanmean(mseMerged_OA.MSEVanilla(:,indCond,:,:),1))); title('Vanilla');
subplot(5,2,2); imagesc(squeeze(nanmean(mseMerged_OA.Rlog10Vanilla(:,indCond,:,:),1))); title('log10(R)')

subplot(5,2,3); imagesc(squeeze(nanmean(mseMerged_OA.MSEPointavg(:,indCond,:,:),1))); title('Pointavg');
subplot(5,2,4); imagesc(squeeze(nanmean(mseMerged_OA.Rlog10Pointavg(:,indCond,:,:),1))); title('log10(R)')

subplot(5,2,5); imagesc(squeeze(nanmean(mseMerged_OA.MSEfiltskip(:,indCond,:,:),1))); title('Filtskip: LP');
subplot(5,2,6); imagesc(squeeze(nanmean(mseMerged_OA.Rlog10filtskip(:,indCond,:,:),1))); title('log10(R)')

subplot(5,2,7); imagesc(squeeze(nanmean(mseMerged_OA.MSEhp(:,indCond,:,:),1))); title('Filtskip: HP');
subplot(5,2,8); imagesc(squeeze(nanmean(mseMerged_OA.Rlog10hp(:,indCond,:,:),1))); title('log10(R)')

subplot(5,2,9); imagesc(squeeze(nanmean(mseMerged_OA.MSEbp(:,indCond,:,:),1))); title('Filtskip: BP');
subplot(5,2,10); imagesc(squeeze(nanmean(mseMerged_OA.Rlog10bp(:,indCond,:,:),1))); title('log10(R)')

%% condition difference

figure;
subplot(5,2,1); imagesc(squeeze(nanmean(mseMerged_YA.MSEVanilla(:,2,:,:),1))-squeeze(nanmean(mseMerged_YA.MSEVanilla(:,1,:,:),1))); title('EO vs EC: Vanilla');
subplot(5,2,2); imagesc(squeeze(nanmean(mseMerged_YA.Rlog10Vanilla(:,2,:,:),1))-squeeze(nanmean(mseMerged_YA.Rlog10Vanilla(:,1,:,:),1))); title('EO vs EC: log10(R)')

subplot(5,2,3); imagesc(squeeze(nanmean(mseMerged_YA.MSEPointavg(:,2,:,:),1))-squeeze(nanmean(mseMerged_YA.MSEPointavg(:,1,:,:),1))); title('EO vs EC: Pointavg');
subplot(5,2,4); imagesc(squeeze(nanmean(mseMerged_YA.Rlog10Pointavg(:,2,:,:),1))-squeeze(nanmean(mseMerged_YA.Rlog10Pointavg(:,1,:,:),1))); title('EO vs EC: log10(R)')

subplot(5,2,5); imagesc(squeeze(nanmean(mseMerged_YA.MSEfiltskip(:,2,:,:),1))-squeeze(nanmean(mseMerged_YA.MSEfiltskip(:,1,:,:),1))); title('EO vs EC: Filtskip: LP');
subplot(5,2,6); imagesc(squeeze(nanmean(mseMerged_YA.Rlog10filtskip(:,2,:,:),1))-squeeze(nanmean(mseMerged_YA.Rlog10filtskip(:,1,:,:),1))); title('EO vs EC: log10(R)')

subplot(5,2,7); imagesc(squeeze(nanmean(mseMerged_YA.MSEhp(:,2,:,:),1))-squeeze(nanmean(mseMerged_YA.MSEhp(:,1,:,:),1))); title('EO vs EC: Filtskip: HP');
subplot(5,2,8); imagesc(squeeze(nanmean(mseMerged_YA.Rlog10hp(:,2,:,:),1))-squeeze(nanmean(mseMerged_YA.Rlog10hp(:,1,:,:),1))); title('EO vs EC: log10(R)')

subplot(5,2,9); imagesc(squeeze(nanmean(mseMerged_YA.MSEbp(:,2,:,:),1))-squeeze(nanmean(mseMerged_YA.MSEbp(:,1,:,:),1))); title('EO vs EC: Filtskip: BP');
subplot(5,2,10); imagesc(squeeze(nanmean(mseMerged_YA.Rlog10bp(:,2,:,:),1))-squeeze(nanmean(mseMerged_YA.Rlog10bp(:,1,:,:),1))); title('EO vs EC: log10(R)')

%% age difference: EC

h = figure('units','normalized','position',[.1 .1 .7 .9]);
subplot(5,2,1); 
    imagesc(squeeze(nanmedian(mseMerged_OA.MSEVanilla(:,1,:,:),1))-squeeze(nanmedian(mseMerged_YA.MSEVanilla(:,1,:,:),1)), [-.1 .1]); title('OA vs YA EC: Vanilla');
    set(gca, 'XTick', 1:3:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:3:41))); xlabel('Scale [Hz]'); ylabel('Channel'); colorbar;
subplot(5,2,2); 
    imagesc(squeeze(nanmedian(mseMerged_OA.Rlog10Vanilla(:,1,:,:),1))-squeeze(nanmedian(mseMerged_YA.Rlog10Vanilla(:,1,:,:),1)), [-.1 .1]); title('OA vs YA EC: log10(R)')
    set(gca, 'XTick', 1:3:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:3:41))); xlabel('Scale [Hz]'); ylabel('Channel'); colorbar;

subplot(5,2,3); 
    imagesc(squeeze(nanmedian(mseMerged_OA.MSEPointavg(:,1,:,:),1))-squeeze(nanmedian(mseMerged_YA.MSEPointavg(:,1,:,:),1)), [-.1 .1]); title('OA vs YA EC: Pointavg');
    set(gca, 'XTick', 1:3:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:3:41))); xlabel('Scale [Hz]'); ylabel('Channel'); colorbar;
subplot(5,2,4); 
    imagesc(squeeze(nanmedian(mseMerged_OA.Rlog10Pointavg(:,1,:,:),1))-squeeze(nanmedian(mseMerged_YA.Rlog10Pointavg(:,1,:,:),1)), [-.1 .1]); title('OA vs YA EC: log10(R)')
    set(gca, 'XTick', 1:3:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:3:41))); xlabel('Scale [Hz]'); ylabel('Channel'); colorbar;
subplot(5,2,5); 
    imagesc(squeeze(nanmedian(mseMerged_OA.MSEfiltskip(:,1,:,:),1))-squeeze(nanmedian(mseMerged_YA.MSEfiltskip(:,1,:,:),1)), [-.1 .1]); title('OA vs YA EC: Filtskip: LP');
    set(gca, 'XTick', 1:3:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:3:41))); xlabel('Scale [Hz]'); ylabel('Channel'); colorbar;
subplot(5,2,6); 
    imagesc(squeeze(nanmedian(mseMerged_OA.Rlog10filtskip(:,1,:,:),1))-squeeze(nanmedian(mseMerged_YA.Rlog10filtskip(:,1,:,:),1)), [-.1 .1]); title('OA vs YA EC: log10(R)')
    set(gca, 'XTick', 1:3:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:3:41))); xlabel('Scale [Hz]'); ylabel('Channel'); colorbar;

subplot(5,2,7); 
    imagesc(squeeze(nanmedian(mseMerged_OA.MSEhp(:,1,:,:),1))-squeeze(nanmedian(mseMerged_YA.MSEhp(:,1,:,:),1)), [-.1 .1]); title('OA vs YA EC: Filtskip: HP');
    set(gca, 'XTick', 1:3:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:3:41))); xlabel('Scale [Hz]'); ylabel('Channel'); colorbar;
subplot(5,2,8); 
    imagesc(squeeze(nanmedian(mseMerged_OA.Rlog10hp(:,1,:,:),1))-squeeze(nanmedian(mseMerged_YA.Rlog10hp(:,1,:,:),1)), [-.1 .1]); title('OA vs YA EC: log10(R)')
    set(gca, 'XTick', 1:3:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:3:41))); xlabel('Scale [Hz]'); ylabel('Channel'); colorbar;

subplot(5,2,9);
    imagesc(squeeze(nanmedian(mseMerged_OA.MSEbp(:,1,:,:),1))-squeeze(nanmedian(mseMerged_YA.MSEbp(:,1,:,:),1)), [-.1 .1]); title('OA vs YA EC: Filtskip: BP');
    set(gca, 'XTick', 1:3:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:3:41))); xlabel('Scale [Hz]'); ylabel('Channel'); colorbar;
subplot(5,2,10);
    imagesc(squeeze(nanmedian(mseMerged_OA.Rlog10bp(:,1,:,:),1))-squeeze(nanmedian(mseMerged_YA.Rlog10bp(:,1,:,:),1)), [-.1 .1]); title('OA vs YA EC: log10(R)')
    set(gca, 'XTick', 1:3:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:3:41))); xlabel('Scale [Hz]'); ylabel('Channel'); colorbar;

pn.plotFolder = '/Users/kosciessa/Desktop/mntTardis/STSWD_Rest/WIP_eeg/A_MSE_CSD_multiVariant/C_figures/';
figureName = 'E_AgeContrastEC';
% 
% saveas(h, [pn.plotFolder, figureName], 'fig');
% saveas(h, [pn.plotFolder, figureName], 'epsc');
saveas(h, [pn.plotFolder, figureName], 'png');


figure; 
subplot(1,2,1); hold on;
    plot(squeeze(nanmean(squeeze(nanmedian(mseMerged_OA.MSEVanilla(:,1,:,:),1))-squeeze(nanmedian(mseMerged_YA.MSEVanilla(:,1,:,:),1)),1)))
    plot(squeeze(nanmean(squeeze(nanmedian(mseMerged_OA.MSEPointavg(:,1,:,:),1))-squeeze(nanmedian(mseMerged_YA.MSEPointavg(:,1,:,:),1)),1)))
    plot(squeeze(nanmean(squeeze(nanmedian(mseMerged_OA.MSEfiltskip(:,1,:,:),1))-squeeze(nanmedian(mseMerged_YA.MSEfiltskip(:,1,:,:),1)),1)))
    plot(squeeze(nanmean(squeeze(nanmedian(mseMerged_OA.MSEhp(:,1,:,:),1))-squeeze(nanmedian(mseMerged_YA.MSEhp(:,1,:,:),1)),1)))
    plot(squeeze(nanmean(squeeze(nanmedian(mseMerged_OA.MSEbp(:,1,:,:),1))-squeeze(nanmedian(mseMerged_YA.MSEbp(:,1,:,:),1)),1)))
    legend({'Vanilla'; 'pointavg'; 'filtskip'; 'hp'; 'bp'});
    set(gca, 'XTick', 1:3:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:3:41))); xlabel('Scale [Hz]');
subplot(1,2,2); hold on;
    plot(squeeze(nanmean(squeeze(nanmedian(mseMerged_OA.Rlog10Vanilla(:,1,:,:),1))-squeeze(nanmedian(mseMerged_YA.Rlog10Vanilla(:,1,:,:),1)),1)))
    plot(squeeze(nanmean(squeeze(nanmedian(mseMerged_OA.Rlog10Pointavg(:,1,:,:),1))-squeeze(nanmedian(mseMerged_YA.Rlog10Pointavg(:,1,:,:),1)),1)))
    plot(squeeze(nanmean(squeeze(nanmedian(mseMerged_OA.Rlog10filtskip(:,1,:,:),1))-squeeze(nanmedian(mseMerged_YA.Rlog10filtskip(:,1,:,:),1)),1)))
    plot(squeeze(nanmean(squeeze(nanmedian(mseMerged_OA.Rlog10hp(:,1,:,:),1))-squeeze(nanmedian(mseMerged_YA.Rlog10hp(:,1,:,:),1)),1)))
    plot(squeeze(nanmean(squeeze(nanmedian(mseMerged_OA.Rlog10bp(:,1,:,:),1))-squeeze(nanmedian(mseMerged_YA.Rlog10bp(:,1,:,:),1)),1)))
    legend({'Vanilla'; 'pointavg'; 'filtskip'; 'hp'; 'bp'});
    set(gca, 'XTick', 1:3:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:3:41))); xlabel('Scale [Hz]');
    
figure; 
subplot(1,2,1); hold on;
    plot(squeeze(nanmean(squeeze(nanmedian(mseMerged_OA.MSEVanilla(:,1,:,:),1)),1)))
    plot(squeeze(nanmean(squeeze(nanmedian(mseMerged_OA.MSEPointavg(:,1,:,:),1)),1)))
    plot(squeeze(nanmean(squeeze(nanmedian(mseMerged_OA.MSEfiltskip(:,1,:,:),1)),1)))
    plot(squeeze(nanmean(squeeze(nanmedian(mseMerged_OA.MSEhp(:,1,:,:),1)),1)))
    plot(squeeze(nanmean(squeeze(nanmedian(mseMerged_OA.MSEbp(:,1,:,:),1)),1)))
    legend({'Vanilla'; 'pointavg'; 'filtskip'; 'hp'; 'bp'});
    set(gca, 'XTick', 1:3:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:3:41))); xlabel('Scale [Hz]');
subplot(1,2,2); hold on;
    plot(squeeze(nanmean(squeeze(nanmedian(mseMerged_OA.Rlog10Vanilla(:,1,:,:),1))-squeeze(nanmedian(mseMerged_YA.Rlog10Vanilla(:,1,:,:),1)),1)))
    plot(squeeze(nanmean(squeeze(nanmedian(mseMerged_OA.Rlog10Pointavg(:,1,:,:),1))-squeeze(nanmedian(mseMerged_YA.Rlog10Pointavg(:,1,:,:),1)),1)))
    plot(squeeze(nanmean(squeeze(nanmedian(mseMerged_OA.Rlog10filtskip(:,1,:,:),1))-squeeze(nanmedian(mseMerged_YA.Rlog10filtskip(:,1,:,:),1)),1)))
    plot(squeeze(nanmean(squeeze(nanmedian(mseMerged_OA.Rlog10hp(:,1,:,:),1))-squeeze(nanmedian(mseMerged_YA.Rlog10hp(:,1,:,:),1)),1)))
    plot(squeeze(nanmean(squeeze(nanmedian(mseMerged_OA.Rlog10bp(:,1,:,:),1))-squeeze(nanmedian(mseMerged_YA.Rlog10bp(:,1,:,:),1)),1)))
    legend({'Vanilla'; 'pointavg'; 'filtskip'; 'hp'; 'bp'});
    set(gca, 'XTick', 1:3:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:3:41))); xlabel('Scale [Hz]');

% figure;
% subplot(1,5,1); hold on;
%     plot(squeeze(nanmedian(squeeze(nanmedian(mseMerged_YA.MSEVanilla(:,1,:,:),1)),1)))
%     plot(squeeze(nanmedian(squeeze(nanmedian(mseMerged_OA.MSEVanilla(:,1,:,:),1)),1)))
%     set(gca, 'XTick', 1:3:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:3:41))); xlabel('Scale [Hz]');
%     legend({'YA'; 'OA'});
% subplot(1,5,2); hold on;
%     plot(squeeze(nanmedian(squeeze(nanmedian(mseMerged_YA.MSEPointavg(:,1,:,:),1)),1)))
%     plot(squeeze(nanmedian(squeeze(nanmedian(mseMerged_OA.MSEPointavg(:,1,:,:),1)),1)))
%     set(gca, 'XTick', 1:3:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:3:41))); xlabel('Scale [Hz]');
% subplot(1,5,3); hold on;
%     plot(squeeze(nanmedian(squeeze(nanmedian(mseMerged_YA.MSEfiltskip(:,1,:,:),1)),1)))
%     plot(squeeze(nanmedian(squeeze(nanmedian(mseMerged_OA.MSEfiltskip(:,1,:,:),1)),1)))
%     set(gca, 'XTick', 1:3:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:3:41))); xlabel('Scale [Hz]');
% subplot(1,5,4); hold on;
%     plot(squeeze(nanmedian(squeeze(nanmedian(mseMerged_YA.MSEhp(:,1,:,:),1)),1)))
%     plot(squeeze(nanmedian(squeeze(nanmedian(mseMerged_OA.MSEhp(:,1,:,:),1)),1)))
%     set(gca, 'XTick', 1:3:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:3:41))); xlabel('Scale [Hz]');
% subplot(1,5,5); hold on;
%     plot(squeeze(nanmedian(squeeze(nanmedian(mseMerged_YA.MSEbp(:,1,:,:),1)),1)))
%     plot(squeeze(nanmedian(squeeze(nanmedian(mseMerged_OA.MSEbp(:,1,:,:),1)),1)))
%     set(gca, 'XTick', 1:3:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:3:41))); xlabel('Scale [Hz]');
%     
    
% figure;
% subplot(1,5,1); hold on;
%     plot(squeeze(nanmedian(nanmedian(mseMerged_YA.MSEVanilla(:,1,44:60,:),3),1)))
%     plot(squeeze(nanmedian(nanmedian(mseMerged_OA.MSEVanilla(:,1,44:60,:),3),1)))
%     set(gca, 'XTick', 1:3:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:3:41))); xlabel('Scale [Hz]');
%     legend({'YA'; 'OA'});
% subplot(1,5,2); hold on;
%     plot(squeeze(nanmedian(nanmedian(mseMerged_YA.MSEPointavg(:,1,44:60,:),3),1)))
%     plot(squeeze(nanmedian(nanmedian(mseMerged_OA.MSEPointavg(:,1,44:60,:),3),1)))
%     set(gca, 'XTick', 1:3:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:3:41))); xlabel('Scale [Hz]');
% subplot(1,5,3); hold on;
%     plot(squeeze(nanmedian(nanmedian(mseMerged_YA.MSEfiltskip(:,1,44:60,:),3),1)))
%     plot(squeeze(nanmedian(nanmedian(mseMerged_OA.MSEfiltskip(:,1,44:60,:),3),1)))
%     set(gca, 'XTick', 1:3:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:3:41))); xlabel('Scale [Hz]');
% subplot(1,5,4); hold on;
%     plot(squeeze(nanmedian(nanmedian(mseMerged_YA.MSEhp(:,1,44:60,:),3),1)))
%     plot(squeeze(nanmedian(nanmedian(mseMerged_OA.MSEhp(:,1,44:60,:),3),1)))
%     set(gca, 'XTick', 1:3:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:3:41))); xlabel('Scale [Hz]');
% subplot(1,5,5); hold on;
%     plot(squeeze(nanmedian(nanmedian(mseMerged_YA.MSEbp(:,1,44:60,:),3),1)))
%     plot(squeeze(nanmedian(nanmedian(mseMerged_OA.MSEbp(:,1,44:60,:),3),1)))
%     set(gca, 'XTick', 1:3:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:3:41))); xlabel('Scale [Hz]');
    
indCond = 2; channels = 1:60;

h = figure('units','normalized','position',[0 0 1 .7]);
subplot(2,5,1); hold on;
    plot(squeeze(nanmedian(nanmedian(mseMerged_YA.MSEVanilla(:,indCond, channels,:),3),1)), 'r', 'LineWidth', 2)
    plot(squeeze(nanmedian(nanmedian(mseMerged_OA.MSEVanilla(:,indCond, channels,:),3),1)), 'b', 'LineWidth', 2)
    xlim([1 41]); ylim([0 1.3]); title('Vanilla (r = .5, m = 2)');
    set(gca, 'XTick', 1:4:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:4:41))); xlabel('Scale [Hz]'); ylabel('Sample Entropy');
    legend({'YA'; 'OA'}); legend('boxoff');
subplot(2,5,2); hold on;
    plot(squeeze(nanmedian(nanmedian(mseMerged_YA.MSEPointavg(:,indCond, channels,:),3),1)), 'r', 'LineWidth', 2)
    plot(squeeze(nanmedian(nanmedian(mseMerged_OA.MSEPointavg(:,indCond, channels,:),3),1)), 'b', 'LineWidth', 2)
    xlim([1 41]); ylim([0 1.3]); title('MSEPointavg');
    set(gca, 'XTick', 1:4:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:4:41))); xlabel('Scale [Hz]'); ylabel('Sample Entropy');
subplot(2,5,3); hold on;
    plot(squeeze(nanmedian(nanmedian(mseMerged_YA.MSEfiltskip(:,indCond, channels,:),3),1)), 'r', 'LineWidth', 2)
    plot(squeeze(nanmedian(nanmedian(mseMerged_OA.MSEfiltskip(:,indCond, channels,:),3),1)), 'b', 'LineWidth', 2)
    xlim([1 41]); ylim([0 1.3]); title('MSEfiltskip (LP)');
    set(gca, 'XTick', 1:4:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:4:41))); xlabel('Scale [Hz]'); ylabel('Sample Entropy');
subplot(2,5,4); hold on;
    plot(squeeze(nanmedian(nanmedian(mseMerged_YA.MSEhp(:,indCond, channels,:),3),1)), 'r', 'LineWidth', 2)
    plot(squeeze(nanmedian(nanmedian(mseMerged_OA.MSEhp(:,indCond, channels,:),3),1)), 'b', 'LineWidth', 2)
    xlim([1 41]); ylim([0 1.3]); title('MSEfiltskip (HP)');
    set(gca, 'XTick', 1:4:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:4:41))); xlabel('Scale [Hz]'); ylabel('Sample Entropy');
subplot(2,5,5); hold on;
    plot(squeeze(nanmedian(nanmedian(mseMerged_YA.MSEbp(:,indCond, channels,:),3),1)), 'r', 'LineWidth', 2)
    plot(squeeze(nanmedian(nanmedian(mseMerged_OA.MSEbp(:,indCond, channels,:),3),1)), 'b', 'LineWidth', 2)
    xlim([1 41]); ylim([0 1.3]); title('MSEfiltskip (BP)');
    set(gca, 'XTick', 1:4:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:4:41))); xlabel('Scale [Hz]'); ylabel('Sample Entropy');

subplot(2,5,5+1); hold on;
    plot(squeeze(nanmedian(nanmedian(mseMerged_YA.Rlog10Vanilla(:,indCond, channels,:),3),1)), 'r', 'LineWidth', 2)
    plot(squeeze(nanmedian(nanmedian(mseMerged_OA.Rlog10Vanilla(:,indCond, channels,:),3),1)), 'b', 'LineWidth', 2)
    xlim([1 41]); ylim([-6 -2]); title('Vanilla (r = .5, m = 2)');
    set(gca, 'XTick', 1:4:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:4:41))); xlabel('Scale [Hz]'); ylabel('log10(R)');
    legend({'YA'; 'OA'}); legend('boxoff');
subplot(2,5,5+2); hold on;
    plot(squeeze(nanmedian(nanmedian(mseMerged_YA.Rlog10Pointavg(:,indCond, channels,:),3),1)), 'r', 'LineWidth', 2)
    plot(squeeze(nanmedian(nanmedian(mseMerged_OA.Rlog10Pointavg(:,indCond, channels,:),3),1)), 'b', 'LineWidth', 2)
    xlim([1 41]); ylim([-6 -2]); title('MSEPointavg');
    set(gca, 'XTick', 1:4:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:4:41))); xlabel('Scale [Hz]'); ylabel('log10(R)');
subplot(2,5,5+3); hold on;
    plot(squeeze(nanmedian(nanmedian(mseMerged_YA.Rlog10filtskip(:,indCond, channels,:),3),1)), 'r', 'LineWidth', 2)
    plot(squeeze(nanmedian(nanmedian(mseMerged_OA.Rlog10filtskip(:,indCond, channels,:),3),1)), 'b', 'LineWidth', 2)
    xlim([1 41]); ylim([-6 -2]); title('MSEfiltskip (LP)');
    set(gca, 'XTick', 1:4:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:4:41))); xlabel('Scale [Hz]'); ylabel('log10(R)');
subplot(2,5,5+4); hold on;
    plot(squeeze(nanmedian(nanmedian(mseMerged_YA.Rlog10hp(:,indCond, channels,:),3),1)), 'r', 'LineWidth', 2)
    plot(squeeze(nanmedian(nanmedian(mseMerged_OA.Rlog10hp(:,indCond, channels,:),3),1)), 'b', 'LineWidth', 2)
    xlim([1 41]); ylim([-6 -2]); title('MSEfiltskip (HP)');
    set(gca, 'XTick', 1:4:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:4:41))); xlabel('Scale [Hz]'); ylabel('log10(R)');
subplot(2,5,5+5); hold on;
    plot(squeeze(nanmedian(nanmedian(mseMerged_YA.Rlog10bp(:,indCond, channels,:),3),1)), 'r', 'LineWidth', 2)
    plot(squeeze(nanmedian(nanmedian(mseMerged_OA.Rlog10bp(:,indCond, channels,:),3),1)), 'b', 'LineWidth', 2)
    xlim([1 41]); ylim([-6 -2]); title('MSEfiltskip (BP)');
    set(gca, 'XTick', 1:4:41); set(gca, 'XTickLabel', round(mseMerged_OA.freq(1:4:41))); xlabel('Scale [Hz]'); ylabel('log10(R)');
suptitle('Median across all subjects & channels')   
set(findall(gcf,'-property','FontSize'),'FontSize',18)

pn.plotFolder = '/Users/kosciessa/Desktop/mntTardis/STSWD_Rest/WIP_eeg/A_MSE_CSD_multiVariant/C_figures/';
figureName = 'E2_MSEComparisonAge_GA';

saveas(h, [pn.plotFolder, figureName], 'png');
