%% Plots highlighting the link between fast-scale entropy and PSD slope

load('/Volumes/LNDG/Projects/StateSwitch/dynamic/data/eeg/rest/B_analyses/A_MSE_CSD_multiVariant/B_data/E_mseMerged.mat', 'mseMerged', 'IDs')
% add convertPtoExponential
addpath('/Volumes/LNDG/Projects/StateSwitch/dynamic/data/eeg/rest/B_analyses/A_MSE_CSD_multiVariant/T_tools/')
pn.shadedError = ['/Volumes/LNDG/Projects/StateSwitch/dynamic/data/eeg/rest/B_analyses/A_MSE_CSD_multiVariant/T_tools/shadedErrorBar']; addpath(pn.shadedError);
indCond = 2; channels = 1:60;
load('/Volumes/LNDG/Projects/StateSwitch/dynamic/data/eeg/rest/B_analyses/B_FFT/B_data/B_FFT_grandavg_individual.mat')
commonYA = info.IDs_all(ismember(info.IDs_all, IDs{1}));
commonOA = info.IDs_all(ismember(info.IDs_all, IDs{2}));
idx_YA_fft = ismember(info.IDs_all, commonYA);
idx_OA_fft = ismember(info.IDs_all, commonOA);
idx_YA_mse = ismember(IDs{1}, commonYA);
idx_OA_mse = ismember(IDs{2}, commonOA);
load('/Volumes/LNDG/Projects/StateSwitch/dynamic/data/eeg/rest/B_analyses/B_FFT/B_data/D_PSDslopes.mat')

%% load MSE topography with different filter settings

pn.root = '/Volumes/LNDG/Projects/StateSwitch/dynamic/data/eeg/rest/B_analyses/A_MSE_CSD_multiVariant/';
load([pn.root, 'B_data/E2_CBPA_Age_Condition_v2.mat'])

% Note that time scales are inverted between statistical output matrix and
% original data matrices!

% extract individual values from statistical cluster (Vanilla version)

FastMSEVanillaCluster = find(max(stat{4,1}.mask(:,39:41),[],2));
SlowMSEVanillaCluster = find(max(stat{4,1}.mask(:,1:3),[],2));

load([pn.root, 'B_data/E_mseMerged.mat'])

%% calculate R squared : t squared divided by (t squared +df)

% identical to correlation: corrcoef([x1;x2], [repmat(1,numel(x1),1); repmat(2,numel(x2),1)])

indCond = 2;

x1 = nanmean(nanmean(mseMerged{1,indCond}.MSEVanilla(:,FastMSEVanillaCluster,1:3),3),2);
x2 = nanmean(nanmean(mseMerged{2,indCond}.MSEVanilla(:,FastMSEVanillaCluster,1:3),3),2);
[h,p,ci,stats] = ttest2(x1,x2);
rsquare = (stats.tstat^2)./(stats.tstat^2 + stats.df);
rVanillaFast = sqrt(rsquare);

%% partial PSD slopes from MSE across younger and older adults

y1 = squeeze(nanmean(linFit_2_30_EO(idx_YA_fft, channels),2));
y2 = squeeze(nanmean(linFit_2_30_EO(idx_OA_fft, channels),2));

% [b, ~, residuals] = regress([x1;x2],[ones(numel(x1)+numel(x2),1),[y1;y2]]);
% [b, ~, residuals] = regress([x1;x2],[[y1;y2]]);
% 
% figure; scatter([y1;y2],residuals)
% 
% z1 = residuals(1:numel(x1));
% z2 = residuals(numel(x1)+1:end);
% [h,p,ci,stats] = ttest2(z1,z2);
% rsquare = (stats.tstat^2)./(stats.tstat^2 + stats.df);
% rVanillaFast_res = sqrt(rsquare);
% 
% figure; scatter([x1;x2],[y1;y2])
% figure; scatter([x1;x2],[z1;z2])
% figure; scatter([y1;y2],[z1;z2])

%% calculate partial correlation between x: entropy, y: PSDslopes and; z: age category status (1 vs.2)

[rho, p] = partialcorr([[x1;x2],[y1;y2],[repmat(1,numel(x1),1); repmat(2,numel(x2),1)]]);

% PSD & MSE correlated .8, controlling for age
% PSD and age correlated .4, controlling for MSE

