%% Plot difference between methods

pn.dataPath = '/Volumes/LNDG/Projects/StateSwitch/dynamic/data/eeg/rest/B_analyses/A_MSE_CSD_multiVariant/B_data/C_MSE_Output_v1/';

IDs_YA = {'1117';'1118';'1120';'1124';'1126';'1131';'1132';'1135';'1136';'1138';...
    '1144';'1151';'1158';'1160';'1163';'1164';'1167';'1169';'1172';'1173';...
    '1178';'1182';'1215';'1216';'1219';'1221';'1223';'1227';'1228';...
    '1233';'1234';'1237';'1239';'1240';'1243';'1245';'1247';'1250';'1252';...
    '1257';'1261';'1265';'1266';'1268';'1270';'1276';'1281'};

IDs_OA = {'2104';'2107';'2108';'2112';'2118';'2120';'2121';'2123';'2125';'2129';...
    '2130';'2131';'2132';'2133';'2134';'2135';'2139';'2140';'2145';'2147';...
    '2149';'2157';'2160';'2202';'2203';'2205';'2206';'2209';'2210';...
    '2211';'2213';'2214';'2215';'2216';'2217';'2219';'2222';'2224';'2226';...
    '2227';'2236';'2237';'2238';'2241';'2244';'2246';'2248';'2250';'2251';...
    '2252';'2258';'2261'};

conds = {'EC'; 'EO'};

for indID = 1:numel(IDs_YA)
    for indCond = 1:2
        try
        curID = IDs_YA{indID};
        % vanilla
        load([pn.dataPath, curID, '_',conds{indCond},'_MSE_OUT_vanilla.mat']);
        mseMerged_YA.MSEVanilla(indID,indCond,:,:) = mse.sampen;
        mseMerged_YA.Rlog10Vanilla(indID,indCond,:,:) = log10(squeeze(mse.r))';
        % pointavg
        load([pn.dataPath, curID, '_',conds{indCond},'_MSE_OUT_pointavg.mat']);
        mseMerged_YA.MSEPointavg(indID,indCond,:,:) = mse.sampen;
        mseMerged_YA.Rlog10Pointavg(indID,indCond,:,:) = log10(squeeze(mse.r))';
        % filtskip (LP)
        load([pn.dataPath, curID, '_',conds{indCond},'_MSE_OUT_filtskip.mat']);
        mseMerged_YA.MSEfiltskip(indID,indCond,:,:) = mse.sampen;
        mseMerged_YA.Rlog10filtskip(indID,indCond,:,:) = log10(squeeze(nanmean(mse.r,3)))';
        % filtskip (HP)
        load([pn.dataPath, curID, '_',conds{indCond},'_MSE_OUT_hp.mat']);
        mseMerged_YA.MSEhp(indID,indCond,:,:) = mse.sampen;
        mseMerged_YA.Rlog10hp(indID,indCond,:,:) = log10(squeeze(nanmean(mse.r,3)))';
        % filtskip (BP)
        load([pn.dataPath, curID, '_',conds{indCond},'_MSE_OUT_bp.mat']);
        mseMerged_YA.MSEbp(indID,indCond,:,:) = mse.sampen;
        mseMerged_YA.Rlog10bp(indID,indCond,:,:) = log10(squeeze(nanmean(mse.r,3)))';
        % add info
        mseMerged_YA.dimord = 'subj_cond_freq_time';
        mseMerged_YA.label = mse.label;
        mseMerged_YA.timescales = mse.timescales;
        mseMerged_YA.freq = (1./[1:41])*250;
        mseMerged_YA.time = mse.time;
        catch
            disp([curID, ' ',conds{indCond}, ' skipped']);
            continue
        end
    end
end

for indID = 1:numel(IDs_OA)
    for indCond = 1:2
        try
        curID = IDs_OA{indID};
        % vanilla
        load([pn.dataPath, curID, '_',conds{indCond},'_MSE_OUT_vanilla.mat']);
        mseMerged_OA.MSEVanilla(indID,indCond,:,:) = mse.sampen;
        mseMerged_OA.Rlog10Vanilla(indID,indCond,:,:) = log10(squeeze(mse.r))';
        % pointavg
        load([pn.dataPath, curID, '_',conds{indCond},'_MSE_OUT_pointavg.mat']);
        mseMerged_OA.MSEPointavg(indID,indCond,:,:) = mse.sampen;
        mseMerged_OA.Rlog10Pointavg(indID,indCond,:,:) = log10(squeeze(mse.r))';
        % filtskip (LP)
        load([pn.dataPath, curID, '_',conds{indCond},'_MSE_OUT_filtskip.mat']);
        mseMerged_OA.MSEfiltskip(indID,indCond,:,:) = mse.sampen;
        mseMerged_OA.Rlog10filtskip(indID,indCond,:,:) = log10(squeeze(nanmean(mse.r,3)))';
        % filtskip (HP)
        load([pn.dataPath, curID, '_',conds{indCond},'_MSE_OUT_hp.mat']);
        mseMerged_OA.MSEhp(indID,indCond,:,:) = mse.sampen;
        mseMerged_OA.Rlog10hp(indID,indCond,:,:) = log10(squeeze(nanmean(mse.r,3)))';
        % filtskip (BP)
        load([pn.dataPath, curID, '_',conds{indCond},'_MSE_OUT_bp.mat']);
        mseMerged_OA.MSEbp(indID,indCond,:,:) = mse.sampen;
        mseMerged_OA.Rlog10bp(indID,indCond,:,:) = log10(squeeze(nanmean(mse.r,3)))';
        % add info
        mseMerged_OA.dimord = 'subj_cond_freq_time';
        mseMerged_OA.label = mse.label;
        mseMerged_OA.timescales = mse.timescales;
        mseMerged_OA.freq = (1./[1:41])*250;
        mseMerged_OA.time = mse.time;
        catch
            disp([curID, ' ',conds{indCond}, ' skipped']);
            continue
        end
    end
end

%% load PSD estimates

load('/Volumes/LNDG/Projects/StateSwitch/dynamic/data/eeg/rest/B_analyses/B_FFT/B_data/D_PSDslopes.mat')

load('/Volumes/LNDG/Projects/StateSwitch/dynamic/data/eeg/rest/B_analyses/B_FFT/B_data/B_FFT_grandavg_individual.mat', 'info')

commonYA = info.IDs_all(ismember(info.IDs_all, IDs_YA));
commonOA = info.IDs_all(ismember(info.IDs_all, IDs_OA));

idx_YA_fft = ismember(info.IDs_all, commonYA);
idx_OA_fft = ismember(info.IDs_all, commonOA);
idx_YA_mse = ismember(IDs_YA, commonYA);
idx_OA_mse = ismember(IDs_OA, commonOA);

%% load demographics overview

load('/Volumes/LNDG/Projects/StateSwitch/dynamic/data/demographics/B_data/Questionnaire_STSWD_NoPilot_Clean.mat')

idx_YA_demo = find(ismember(cell2mat(C(:,1)), str2double(IDs_YA)));
idx_OA_demo = find(ismember(cell2mat(C(:,1)), str2double(IDs_OA)));

%% correlation between spectral slope and entropy

channels = 1:60;

h = figure('units','normalized','position',[.1 .1 .7 .4]);
subplot(1,2,1); hold on;
    x = squeeze(nanmedian(nanmean(mseMerged_YA.MSEVanilla(idx_YA_mse,2,channels,1),4),3));
    y = squeeze(nanmedian(linFit_2_30_EO(idx_YA_fft, channels),2));
    l1 = scatter(x,y, 'filled', 'k'); lsline;
    [rl1,pl1] = corrcoef(x,y);
    % add OA
    x = squeeze(nanmedian(nanmean(mseMerged_OA.MSEVanilla(idx_OA_mse,2,channels,1),4),3));
    y = squeeze(nanmedian(linFit_2_30_EO(idx_OA_fft, channels),2));
    l2 = scatter(x,y, 'filled', 'r'); lsline;
    [rl2,pl2] = corrcoef(x,y);
    legend([l1, l2], {['Younger Adults: r=', num2str(round(rl1(2),2))], ...
        ['Older Adults: r=', num2str(round(rl2(2),2))]}, 'Location', 'NorthWest'); legend('boxoff');
    xlabel('Vanilla MSE, Scale 1'); ylabel('PSD Slope 2-64 Hz (excl. 7-13 Hz)');
    title('Fast scale entropy reflects PSD slope')
subplot(1,2,2); hold on;
    x = squeeze(nanmedian(nanmean(mseMerged_YA.MSEVanilla(idx_YA_mse,2,channels,41),4),3));
    y = squeeze(nanmedian(linFit_2_30_EO(idx_YA_fft, channels),2));
    l1 = scatter(x,y, 'filled', 'k'); lsline;
    [rl1,pl1] = corrcoef(x,y);
    % add OA
    x = squeeze(nanmedian(nanmean(mseMerged_OA.MSEVanilla(idx_OA_mse,2,channels,41),4),3));
    y = squeeze(nanmedian(linFit_2_30_EO(idx_OA_fft, channels),2));
    l2 = scatter(x,y, 'filled', 'r'); lsline;
    [rl2,pl2] = corrcoef(x,y);
    legend([l1, l2], {['Younger Adults: r=', num2str(round(rl1(2),2))], ...
        ['Older Adults: r=', num2str(round(rl2(2),2))]}, 'Location', 'NorthEast'); legend('boxoff');
    xlabel('Vanilla MSE, Scale 41'); ylabel('PSD Slope 2-64 Hz (excl. 7-13 Hz)');
    title('Slow scale entropy inversely reflects PSD slope')
    set(findall(gcf,'-property','FontSize'),'FontSize',18)

%% correlation with continuous age (cf. Waschke et al.)
    
channels = 1:20;

h = figure('units','normalized','position',[.1 .1 .7 .4]);
subplot(1,2,1); hold on;
    x = squeeze(nanmedian(nanmean(mseMerged_YA.MSEVanilla(idx_YA_mse,2,channels,1),4),3));
    y = Age(cat(1,idx_YA_demo));
    l1 = scatter(x,y, 'filled', 'k'); lsline;
    [rl1,pl1] = corrcoef(x,y);
    x = squeeze(nanmedian(nanmean(mseMerged_OA.MSEVanilla(idx_OA_mse,2,channels,1),4),3));
    y = Age(cat(1,idx_OA_demo));
    l2 = scatter(x,y, 'filled', 'r'); lsline;
    [rl2,pl2] = corrcoef(x,y);
    legend([l1, l2], {['Younger Adults: r=', num2str(round(rl1(2),2))], ...
        ['Older Adults: r=', num2str(round(rl2(2),2))]}, 'Location', 'NorthWest'); legend('boxoff');
    xlabel('Vanilla MSE, Scale 1'); ylabel('PSD Slope 2-64 Hz (excl. 7-13 Hz)');
    title('Fast scale entropy reflects PSD slope')
    set(findall(gcf,'-property','FontSize'),'FontSize',18)
subplot(1,2,2); hold on;
    x = squeeze(nanmedian(linFit_2_30_EO(idx_YA_fft, channels),2));
    y = Age(cat(1,idx_YA_demo));
    l1 = scatter(x,y, 'filled', 'k'); lsline;
    [rl1,pl1] = corrcoef(x,y);
    x = squeeze(nanmedian(linFit_2_30_EO(idx_OA_fft, channels),2));
    y = Age(cat(1,idx_OA_demo));
    l2 = scatter(x,y, 'filled', 'r'); lsline;
    [rl2,pl2] = corrcoef(x,y);
    legend([l1, l2], {['Younger Adults: r=', num2str(round(rl1(2),2))], ...
        ['Older Adults: r=', num2str(round(rl2(2),2))]}, 'Location', 'NorthWest'); legend('boxoff');
    xlabel('Vanilla MSE, Scale 1'); ylabel('PSD Slope 2-64 Hz (excl. 7-13 Hz)');
    title('Fast scale entropy reflects PSD slope')
    set(findall(gcf,'-property','FontSize'),'FontSize',18)
    
   